Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

Get signed-in owner account context

Hosted owner endpoint. Agent tokens are not accepted as owner sessions.

GET/v1/account
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Responses
200

Successful response

dataAccountrequired
Show properties
workspacestringrequired
principalobjectrequired
Show properties
idstringrequired
ownerbooleanrequired
deviceControlsEnabledbooleanrequired
agentClientsstring[]required
oauthClientRegistrationbooleanrequired
400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://www.openlaunch.dev/v1/account' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": {
    "workspace": "string",
    "principal": {
      "id": "owner",
      "owner": true
    },
    "deviceControlsEnabled": true,
    "agentClients": [
      "string"
    ],
    "oauthClientRegistration": true
  }
}